Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 228285 - net-libs/xulrunner-1.9 emerge error
Summary: net-libs/xulrunner-1.9 emerge error
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xul-1.9
  Show dependency tree
 
Reported: 2008-06-19 05:44 UTC by vishal
Modified: 2008-06-23 14:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vishal 2008-06-19 05:44:09 UTC
x86_64-pc-linux-gnu-g++ -o nsThebesGfxFactory.o -c -I../../../dist/include/system_wrappers -include ../../../config/gcc_hidden.h -DMOZILLA_INTERNAL_API -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux -DGENTOO_LIB_DIR=\"/usr/lib64\" -DMOZ_ENABLE_GTK2 -I./. -I./.. -I./../shared  -I. -I. -I../../../dist/include/xpcom -I../../../dist/include/string -I../../../dist/include/thebes -I../../../dist/include/widget -I../../../dist/include/view -I../../../dist/include/pref -I../../../dist/include/unicharutil -I../../../dist/include/imglib2 -I../../../dist/include   -I../../../dist/include/gfx -I/usr/include/nspr     -I../../../dist/sdk/include    -fPIC  -DGENTOO_NSPLUGINS_DIR=\"/usr/lib64/nsplugins\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\"/usr/lib64/nsbrowser/plugins\"  -fno-rtti -fno-handle-exceptions  -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-long-long -march=k8 -pipe -fPIC -Wno-return-type -w -fno-strict-aliasing -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -O2 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/gtk-unix-print-2.0   -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1    -DGENTOO_NSPLUGINS_DIR=\"/usr/lib64/nsplugins\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\"/usr/lib64/nsbrowser/plugins\"  -DMOZILLA_CLIENT -include ../../../mozilla-config.h -Wp,-MD,.deps/nsThebesGfxFactory.pp nsThebesGfxFactory.cpp
gmake[5]: *** [nsThebesDeviceContext.o] Error 1
gmake[5]: *** Waiting for unfinished jobs....
gmake[5]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla/gfx/src/thebes'
gmake[4]: *** [libs] Error 2
gmake[4]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla/gfx/src'
gmake[3]: *** [libs] Error 2
gmake[3]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla/gfx'
gmake[2]: *** [libs_tier_gecko] Error 2
gmake[2]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla'
gmake[1]: *** [tier_gecko] Error 2
gmake[1]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla'
make: *** [default] Error 2
 *
 * ERROR: net-libs/xulrunner-1.9 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4963:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed


Reproducible: Always

Steps to Reproduce:
1. emerge -uv mozilla-firefox
2.
3.

Actual Results:  
emerge failed

Expected Results:  
emerge should complete 

emerge --info
Portage 2.1.5.6 (default/linux/amd64/2008.0, gcc-4.2.4, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r4 x86_64 AMD Turion(tm) 64 Mobile Technology MT-28
Timestamp of tree: Wed, 18 Jun 2008 05:06:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r4
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8 -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks nostrip parallel-fetch sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS=""
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="a52 aac aalib acl acpi amd64 apache apache2 apm arts berkdb bzip2 cdda cdparanoia cli cpudetection cracklib crypt cups dri dts dv dvd dvdread fortran gdb gdbm gpm gtk iconv ipv6 isdnlog java kde mad madwifi midi mmx mpeg mpeg2 mpeg4 mplayer mudflap multilib mysql ncurses nls nptl nptlonly ogg oggvorbis openal opengl openmp pam pcmcia pcre perl php pnp posix pppd python readline reflection session spl sse sse2 ssl tcpd truetype unicode vcd vorbis xorg xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 vishal 2008-06-21 11:37:57 UTC
i have ran revdep-rebuild  and complied pango with 'X' in use flag and it worked

Regards 


(In reply to comment #0)
> x86_64-pc-linux-gnu-g++ -o nsThebesGfxFactory.o -c
> -I../../../dist/include/system_wrappers -include ../../../config/gcc_hidden.h
> -DMOZILLA_INTERNAL_API -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux
> -DGENTOO_LIB_DIR=\"/usr/lib64\" -DMOZ_ENABLE_GTK2 -I./. -I./.. -I./../shared 
> -I. -I. -I../../../dist/include/xpcom -I../../../dist/include/string
> -I../../../dist/include/thebes -I../../../dist/include/widget
> -I../../../dist/include/view -I../../../dist/include/pref
> -I../../../dist/include/unicharutil -I../../../dist/include/imglib2
> -I../../../dist/include   -I../../../dist/include/gfx -I/usr/include/nspr    
> -I../../../dist/sdk/include    -fPIC 
> -DGENTOO_NSPLUGINS_DIR=\"/usr/lib64/nsplugins\"
> -DGENTOO_NSBROWSER_PLUGINS_DIR=\"/usr/lib64/nsbrowser/plugins\"  -fno-rtti
> -fno-handle-exceptions  -Wconversion -Wpointer-arith -Woverloaded-virtual
> -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align
> -Wno-long-long -march=k8 -pipe -fPIC -Wno-return-type -w -fno-strict-aliasing
> -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -O2 -I/usr/include/gtk-2.0
> -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
> -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
> -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1
> -I/usr/include/gtk-unix-print-2.0   -I/usr/include/pango-1.0
> -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo
> -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   
> -DGENTOO_NSPLUGINS_DIR=\"/usr/lib64/nsplugins\"
> -DGENTOO_NSBROWSER_PLUGINS_DIR=\"/usr/lib64/nsbrowser/plugins\" 
> -DMOZILLA_CLIENT -include ../../../mozilla-config.h
> -Wp,-MD,.deps/nsThebesGfxFactory.pp nsThebesGfxFactory.cpp
> gmake[5]: *** [nsThebesDeviceContext.o] Error 1
> gmake[5]: *** Waiting for unfinished jobs....
> gmake[5]: Leaving directory
> `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla/gfx/src/thebes'
> gmake[4]: *** [libs] Error 2
> gmake[4]: Leaving directory
> `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla/gfx/src'
> gmake[3]: *** [libs] Error 2
> gmake[3]: Leaving directory
> `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla/gfx'
> gmake[2]: *** [libs_tier_gecko] Error 2
> gmake[2]: Leaving directory
> `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla'
> gmake[1]: *** [tier_gecko] Error 2
> gmake[1]: Leaving directory
> `/var/tmp/portage/net-libs/xulrunner-1.9/work/mozilla'
> make: *** [default] Error 2
>  *
>  * ERROR: net-libs/xulrunner-1.9 failed.
>  * Call stack:
>  *               ebuild.sh, line   49:  Called src_compile
>  *             environment, line 4963:  Called die
>  * The specific snippet of code:
>  *       emake || die "emake failed"
>  *  The die message:
>  *   emake failed
> 
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 1. emerge -uv mozilla-firefox
> 2.
> 3.
> 
> Actual Results:  
> emerge failed
> 
> Expected Results:  
> emerge should complete 
> 
> emerge --info
> Portage 2.1.5.6 (default/linux/amd64/2008.0, gcc-4.2.4, glibc-2.8_p20080602-r0,
> 2.6.25-gentoo-r4 x86_64)
> =================================================================
> System uname: 2.6.25-gentoo-r4 x86_64 AMD Turion(tm) 64 Mobile Technology MT-28
> Timestamp of tree: Wed, 18 Jun 2008 05:06:02 +0000
> app-shells/bash:     3.2_p39
> dev-java/java-config: 1.3.7, 2.1.6
> dev-lang/python:     2.4.4-r13, 2.5.2-r4
> dev-python/pycrypto: 2.0.1-r6
> sys-apps/baselayout: 2.0.0
> sys-apps/openrc:     0.2.5
> sys-apps/sandbox:    1.2.18.1-r2
> sys-devel/autoconf:  2.13, 2.62
> sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2,
> 1.10.1-r1
> sys-devel/binutils:  2.18-r1
> sys-devel/gcc-config: 1.4.0-r4
> sys-devel/libtool:   2.2.4
> virtual/os-headers:  2.6.25-r4
> ACCEPT_KEYWORDS="amd64 ~amd64"
> CBUILD="x86_64-pc-linux-gnu"
> CFLAGS="-march=k8 -O3 -pipe"
> CHOST="x86_64-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
> /usr/kde/3.5/shutdown /usr/share/config"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
> /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release
> /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
> /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo
> /etc/texmf/web2c /etc/udev/rules.d"
> CXXFLAGS="-march=k8 -O3 -pipe"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="distlocks nostrip parallel-fetch sfperms strict unmerge-orphans
> userfetch"
> GENTOO_MIRRORS="http://distfiles.gentoo.org
> http://distro.ibiblio.org/pub/linux/distributions/gentoo"
> LDFLAGS=""
> MAKEOPTS="-j2"
> PKGDIR="/usr/portage/packages"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
> --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
> --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> SYNC="rsync://rsync.gentoo.org/gentoo-portage"
> USE="a52 aac aalib acl acpi amd64 apache apache2 apm arts berkdb bzip2 cdda
> cdparanoia cli cpudetection cracklib crypt cups dri dts dv dvd dvdread fortran
> gdb gdbm gpm gtk iconv ipv6 isdnlog java kde mad madwifi midi mmx mpeg mpeg2
> mpeg4 mplayer mudflap multilib mysql ncurses nls nptl nptlonly ogg oggvorbis
> openal opengl openmp pam pcmcia pcre perl php pnp posix pppd python readline
> reflection session spl sse sse2 ssl tcpd truetype unicode vcd vorbis xorg xvid
> zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci
> emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m
> maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
> ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
> hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route
> share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest
> authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default
> authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs
> dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter
> headers ident imagemap include info log_config logio mem_cache mime mime_magic
> negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite
> setenvif so speling status unique_id userdir usertrack vhost_alias"
> ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux"
> LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses
> text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128
> radeon savage sis tdfx trident vesa vga via vmware voodoo"
> Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL,
> LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS,
> PORTDIR_OVERLAY
> 

Comment 2 Pacho Ramos gentoo-dev 2008-06-21 16:57:05 UTC
(In reply to comment #1)
> and complied pango with 'X' in use flag and it
> worked
> 
> Regards 

Maybe it should be checked in ebuild :-/
Comment 3 Raúl Porcel (RETIRED) gentoo-dev 2008-06-21 17:00:13 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > and complied pango with 'X' in use flag and it
> > worked
> > 
> > Regards 
> 
> Maybe it should be checked in ebuild :-/
>

It is

Comment 4 Pacho Ramos gentoo-dev 2008-06-21 17:34:31 UTC
(In reply to comment #3)
> (In reply to comment #2)
> It is
> 

OK then :-)
Comment 5 Radek Podgorny 2008-06-23 14:44:19 UTC
The ebuild should be fixed, then! (check for pango X support)
Comment 6 Radek Podgorny 2008-06-23 14:53:26 UTC
Oooo, sorry ;-)